BITS(1)

NUME
bits - convertește măștile de biți sau listele din/în diverse formate

REZUMAT

bits [-h] [-V] [-w număr] [mod] [mască|listă]...

DESCRIERE

Instrumentul bits realizează conversia între măști de biți și liste de biți. Acesta permite combinarea mai multor măști sau liste prin operații bit cu bit „bitwise”.

ARGUMENTE POZIȚIONALE

mască
    Un set de biți specificat ca o valoare de mască hexazecimală (de exemplu 0xeec2).

listă
    Un set de biți specificat ca o listă de ID-uri de biți separate prin virgule (de exemplu: 1,5,29,32).

Dacă nu este specificat niciun argument, seturile de biți vor fi citite de la intrarea standard, un grup pe linie.

Id-rile consecutive pot fi comprimate ca intervale (de exemplu: 5,6,7,8,9,10 → 5-10).

Opțional, dacă un argument începe cu o virgulă, acesta va fi analizat ca o singură mască hexazecimală împărțită în grupuri de 32 de biți (de exemplu: ,00014000,00000000,00020000 → 17,78,80).

În mod implicit, toate grupurile vor fi unite prin operația OR. Dacă un grup are unul dintre prefixele &, ^, or ~, acesta va fi combinat cu masca rezultată folosind o operație binară diferită:

&mască|&listă
    Grupul va fi combinat cu o operație binară AND. Adică: toți biții care sunt stabiliți la 1 în grup ȘI (AND) în grupurile combinate până în prezent vor fi păstrați la 1. Toți ceilalți biți vor fi readuși la 0.

^mască|^listă
    Grupul va fi combinat cu o operație XOR binară. Adică: toți biții care sunt stabiliți la 1 în grup ȘI (AND) la 0 în grupurile combinate până acum (sau invers) vor fi stabiliți la 1. Biții care sunt amândoi la 1 sau amândoi la 0 vor fi readuși la 0.

~mască|~listă
    Toți biții stabiliți la 1 în grup vor fi șterși ( readuși la 0) în grupurile combinate până în prezent.

OPȚIUNI

-w număr, --width număr
    Numărul maxim de biți din măștile gestionate de bits. Valoarea implicită este 8192. Orice bit mai mare decât acest număr va fi trunchiat.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

MODUL DE CONVERSIE

Poate fi specificat unul dintre următoarele moduri de conversie. Dacă nu este specificat, modul implicit este -m, --mask.

-b, --binary
    Afișează argumentele combinate ca valoare a unei măști binare.

-g, --grouped-mask
    Afișează argumentele combinate ca o valoare a măștii hexazecimale în grupuri de 32 de biți separate prin virgule.

-l, --list
    Imprimă argumentele combinate ca o listă de ID-uri de biți. ID-urile consecutive sunt comprimate ca intervale.

-m, --mask
    Afișează argumentele combinate ca o valoare a măștii hexazecimale (implicit).

EXEMPLE

    ~$ bits --mask 4,5-8 16,30
    0x400101f0
    ~$ bits --list 0xeec2
    1,6,7,9-11,13-15
    ~$ bits --binary 4,5-8 16,30
    0b100_0000_0000_0001_0000_0001_1111_0000
    ~$ bits --list ,00300000,03000000,30000003
    0,1,28,29,56,57,84,85
    ~$ bits --list 1,2,3,4 ~3-10
    1,2
    ~$ bits --list 1,2,3,4 ^3-10
    1,2,5-10
    ~$ bits --grouped-mask 2,22,74,79
    8400,00000000,00400004
    ~$ bits --width 64 --list 2,22,74,79
    2,22

AUTORI

Robin Jarry.

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda bits face parte din pachetul util-linux care poate fi descărcat de la